import { Candidate } from '../../candidate';
import { Processor } from '../processor.abstract';

export abstract class Completer extends Processor {
  execute = (candidates: Candidate[]): Candidate[] => this.complete(candidates);

  abstract complete(candidates: Candidate[]): Candidate[];
}
