import { MatchQuery } from 'src/modules/matcher/queries/match.query';
import { Candidate } from '../../candidate';
import { Completer } from './completer.abstract';

export class RouteCompleter extends Completer {
  private withPoints: boolean;
  private withTime: boolean;
  private withDistance: boolean;

  constructor(
    matchQuery: MatchQuery,
    withPoints = false,
    withTime = false,
    withDistance = false,
  ) {
    super(matchQuery);
    this.withPoints = withPoints;
    this.withTime = withTime;
    this.withDistance = withDistance;
  }

  complete = (candidates: Candidate[]): Candidate[] => {
    return candidates;
  };
}
